org.omg.CORBA

## Class WrongTransactionHolder

- java.lang.Object
- - org.omg.CORBA.WrongTransactionHolder

- All Implemented Interfaces:
    Streamable

      public final class WrongTransactionHolder
      extends Object
      implements Streamable

  The Holder for `WrongTransaction`. For more information on Holder files, see "Generated Files: Holder Files".

  org/omg/CORBA/WrongTransactionHolder.java Generated by the IDL-to-Java compiler (portable), version "3.0" from CORBA.idl Thursday, August 24, 2000 5:32:50 PM PDT

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `WrongTransaction` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrongTransactionHolder()` |
    `WrongTransactionHolder(WrongTransaction initialValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read(InputStream i)` | Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type()` | Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write(OutputStream o)` | Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public WrongTransaction value

  - ### Constructor Detail

    - #### WrongTransactionHolder

          public WrongTransactionHolder()

    - #### WrongTransactionHolder

          public WrongTransactionHolder(WrongTransaction initialValue)

  - ### Method Detail

    - #### _read

          public void _read(InputStream i)

      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `i` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write(OutputStream o)

      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `o` - the CDR OutputStream

    - #### _type

          public TypeCode _type()

      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.